On Android, we support Android version 5 or later.

On iOS, we support version 11.0 or later.

Devices with 1Gb of RAM or more are supported.

If your device is incompatible or you can’t download the game from the official marketplace for your device, please take notice that our game does not support rooted or otherwise emulated devices.